package cn.teammodel.model.dto.ai.comment;

import lombok.Data;
import java.util.List; // 添加这一行来导入List类

/**
 * 智慧评语 总体接收信息
 */
@Data
public class WisdomCommentsDto {
    //学生名称
    public String name;
    //学年
    public String year;
    //学期
    public String semester;
    //总次数
    public int joinAll;
    //课中参加
    public int lessonMiddle;
    //线上评测
    public int onLine;
    //阅卷评测
    public int marking;
    //平均分
    //public int average;
    //评分等级
    public String level;
    //占比
    public int proportion;

    //维度信息
    public List<Dimension> dims;

    public static class Dimension{
        //维度名称
        public String name;
        //维度数据
        public double[] data = new double[5];
    }
}


