package cn.teammodel.model.dto.weekDuty;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;

import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;

@Data
public class LessonRecordDto {
    private String tmdid;
    @NotNull
    private String scope;
    @NotNull
    private String school;
    private String name;
    @NotNull
    private String periodId;
    private Long stime;
    private Long etime;
    private List<String> category;
    private List<String> subjectId;
    private List<String> grade;
    @Value("${lessonRecordDto.doubleGreen:false}")
    private boolean doubleGreen ;
    @Value("${lessonRecordDto.singleGreen:false}")
    private boolean singleGreen ;
    @Value("${lessonRecordDto.isOk:true}")
    private boolean isOk ;
    @Value("${lessonRecordDto.quality:false}")
    private boolean quality;
    @Value("${lessonRecordDto.desc:startTime}")
    private String desc;
    private  int pageCount;
    private String continuationToken;
    @Value("${lessonRecordDto.managePage:true}")
    private boolean managePage;
    private boolean classMeeting;
}
