package cn.teammodel.model.entity.school;

import cn.teammodel.model.entity.BaseItem;
import com.azure.spring.data.cosmos.core.mapping.Container;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Container(containerName = "School")
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ClassInfo extends BaseItem {
   private String no;
   private String name;
   private Teacher teacher;
   private String periodId;
   private Integer year;
   private String room;
   private String school;
   private Integer graduate;
   private Integer grade;
   private String pk;
   private Integer ttl;

   @Data
   public static class Teacher {
      private String id;
      private String name;
   }
}